[Swift-commit] r2920 - trunk/tests/language-behaviour

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Wed May 13 08:45:53 CDT 2009


Author: benc
Date: 2009-05-13 08:45:53 -0500 (Wed, 13 May 2009)
New Revision: 2920

Modified:
   trunk/tests/language-behaviour/run
Log:
Some language-behaviour testing was run per-expected-file when it should
be running per-script.

Modified: trunk/tests/language-behaviour/run
===================================================================
--- trunk/tests/language-behaviour/run	2009-05-13 13:44:34 UTC (rev 2919)
+++ trunk/tests/language-behaviour/run	2009-05-13 13:45:53 UTC (rev 2920)
@@ -77,25 +77,25 @@
       echo "No expected output files specified for this test case - not checking output."
     fi
 
-    if [ "$SWIFT_TEST_EXCEPTIONS" == "no" ]; then
-      echo Skipping exception test due to test configuration
-    else
-      grep --quiet "	at " ${t}-*.log
-      if [ "$?" == "0" ]; then
-        echo EXCEPTIONS - stacktrace-like log lines found in output for ${t}
-        exit 2
-      fi
-    fi
+  done
 
-    # check that all execute and execute2 IDs are unique
-    swift-plot-log ${t}-*.log execute.transitions compound.transitions
-    if [ "$( cat compound.transitions execute.transitions | grep ' START ' | cut -d ' ' -f 2 | sort | uniq -d)" != "" ]; then
-      echo EXECUTE AND COMPOUND IDS NOT UNIQUE
-      exit 3
+  if [ "$SWIFT_TEST_EXCEPTIONS" == "no" ]; then
+    echo Skipping exception test due to test configuration
+  else
+    grep --quiet "	at " ${t}-*.log
+    if [ "$?" == "0" ]; then
+      echo EXCEPTIONS - stacktrace-like log lines found in output for ${t}
+      exit 2
     fi
+  fi
 
+  # check that all execute and execute2 IDs are unique
+  swift-plot-log ${t}-*.log execute.transitions compound.transitions
+  if [ "$( cat compound.transitions execute.transitions | grep ' START ' | cut -d ' ' -f 2 | sort | uniq -d)" != "" ]; then
+    echo EXECUTE AND COMPOUND IDS NOT UNIQUE
+    exit 3
+  fi
 
-  done
   echo "Test passed at $(date)"
   if [ "$SUB" == "" ]; then
   	echo ----------===========================----------




More information about the Swift-commit mailing list